<div class="col-12 my-5" @Fading>
  <h3>{{pageTitle}}</h3>
  <div class="card-container">
    <div class="alert alert-warning alert-dismissible fade show" role="alert" *ngIf="message">{{message}}</div>
    <div class="card mt-3 col-sm-5 col-md-3 col-lg-2" *ngFor="let album of albums">
      <a routerLink="/album/{{album._id}}">
        <img class="card-img-top" src="{{url + 'album/get-image/' + album._id}}" alt="imagen album">
      </a>
      <div class="card-body">
        <h5 class="card-title"><a routerLink="/album/{{album._id}}" class="link1">{{album.title}}</a></h5>
        <h6 class="card-subtitle mb-2 text-muted"><a routerLink="/artist/{{album.artist._id}}" class="link2">{{album.artist.name}}</a></h6>
      </div>
      <div class="card-footer d-flex flex-row flex-wrap justify-content-around" *ngIf="identity.role=='ROLE_ADMIN'">
        <button class="btn btn-primary mt-1" routerLink="/album/{{album._id}}">Detalles</button>
        <button class="btn btn-warning mt-1" routerLink="/album-edit/{{album._id}}">Editar</button>
        <button class="btn btn-danger mt-1" data-toggle="modal" [attr.data-target]="'#modal'+album._id">Borrar</button>
        <!-- Modal -->
        <div class="modal fade" id="{{'modal'+ album._id}}" tabindex="-1" role="dialog" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title">Borrar {{album.name}}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                ¿Seguro que quieres borrar el álbum {{album.title}}?
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">No, cerrar</button>
                <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="deleteAlbum(album._id)">Sí, borrar</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

